Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class ElemCallTemplate

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.UnImplNode
            |
            +--weblogic.apache.xalan.templates.ElemTemplateElement
                  |
                  +--weblogic.apache.xalan.templates.ElemForEach
                        |
                        +--weblogic.apache.xalan.templates.ElemCallTemplate

Direct Known Subclasses:
  ElemApplyTemplates

public class ElemCallTemplate
extends ElemForEach

Implement xsl:call-template.

     &!ELEMENT xsl:call-template (xsl:with-param)*>
     &!ATTLIST xsl:call-template
       name %qname; #REQUIRED
     &

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  named-templates in XSLT Specification, Serialized Form

Field Summary
`protected ElemWithParam[]` | `m_paramElems` Vector of xsl:param elements associated with this element.
`QName` | `m_templateName` An xsl:call-template element invokes a template by name; it has a required name attribute that identifies the template to be invoked.

Fields inherited from class weblogic.apache.xalan.templates.ElemForEach
`m_doc_cache_off, m_selectExpression, m_sortElems`

Fields inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`m_docOrderNumber, m_hasVariableDecl, m_parentNode`

Constructor Summary
`ElemCallTemplate()`

Method Summary
`ElemTemplateElement` | `appendChild(ElemTemplateElement newChild)` Add a child to the child list.
`void` | `compose(StylesheetRoot sroot)` This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
`void` | `endCompose(StylesheetRoot sroot)` This after the template's children have been composed.
`void` | `execute(TransformerImpl transformer)` Invoke a named template.
`QName` | `getName()` Get the "name" attribute.
`java.lang.String` | `getNodeName()` Return the node name.
`ElemWithParam` | `getParamElem(int i)` Get a xsl:param element associated with this element.
`int` | `getParamElemCount()` Get the count xsl:param elements associated with this element.
`int` | `getXSLToken()` Get an int constant identifying the type of element.
`void` | `setName(QName name)` Set the "name" attribute.
`void` | `setParamElem(ElemWithParam ParamElem)` Set a xsl:param element associated with this element.

Methods inherited from class weblogic.apache.xalan.templates.ElemForEach
`getSelect, getSortElem, getSortElemCount, getTemplateMatch, setSelect, setSortElem, sortNodes, transformSelectedNodes`

Methods inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`appendChild, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, error, error, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, hasChildNodes, hasTextLitOnly, hasVariableDecl, isCompiledTemplate, isValidNCName, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class weblogic.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, getVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, setVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_templateName

    public QName m_templateName

  An xsl:call-template element invokes a template by name; it has a required name attribute that identifies the template to be invoked.

### m_paramElems

    protected ElemWithParam[] m_paramElems

  Vector of xsl:param elements associated with this element.

Constructor Detail

### ElemCallTemplate

    public ElemCallTemplate()

Method Detail

### setName

    public void setName(QName name)

  Set the "name" attribute. An xsl:call-template element invokes a template by name; it has a required name attribute that identifies the template to be invoked.

  Parameters:
    `name` - Name attribute to set

### getName

    public QName getName()

  Get the "name" attribute. An xsl:call-template element invokes a template by name; it has a required name attribute that identifies the template to be invoked.

  Returns:
    Name attribute of this element

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.

  Returns:
    The token ID for this element
  Overrides:
    getXSLToken in class ElemForEach
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.

  Returns:
    The name of this element
  Overrides:
    getNodeName in class ElemForEach

### compose

    public void compose(StylesheetRoot sroot)
                 throws javax.xml.transform.TransformerException

  This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.

  Overrides:
    compose in class ElemForEach

### endCompose

    public void endCompose(StylesheetRoot sroot)
                    throws javax.xml.transform.TransformerException

  This after the template's children have been composed.

  Overrides:
    endCompose in class ElemForEach

### execute

    public void execute(TransformerImpl transformer)
                 throws javax.xml.transform.TransformerException

  Invoke a named template.

  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `sourceNode` - non-null reference to the current source node.
    `mode` - reference, which may be null, to the current mode.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class ElemForEach
  See Also:
    named-templates in XSLT Specification

### getParamElemCount

    public int getParamElemCount()

  Get the count xsl:param elements associated with this element.

  Returns:
    The number of xsl:param elements.

### getParamElem

    public ElemWithParam getParamElem(int i)

  Get a xsl:param element associated with this element.

  Parameters:
    `i` - Index of element to find
  Returns:
    xsl:param element at given index

### setParamElem

    public void setParamElem(ElemWithParam ParamElem)

  Set a xsl:param element associated with this element.

  Parameters:
    `ParamElem` - xsl:param element to set.

### appendChild

    public ElemTemplateElement appendChild(ElemTemplateElement newChild)

  Add a child to the child list.

  Parameters:
    `newChild` - Child to add to this node's children list
  Returns:
    The child that was just added the children list
  Throws:
    org.w3c.dom.DOMException -
  Overrides:
    appendChild in class ElemForEach

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference